Page MenuHomePhabricator

Set $wgCategoryCollation to 'uca-be-tarask' on be-x-old.wiki and rebuild category sort keys
Closed, ResolvedPublic

Description

Details

Reference
bz46005

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:37 AM
bzimport set Reference to bz46005.
matmarex created this task.Mar 11 2013, 9:43 PM

Community agreement: https://be-x-old.wikipedia.org/wiki/Вікіпэдыя:Форум#.D0.A1.D0.B0.D1.80.D1.82.D1.8B.D1.80.D0.BE.D1.9E.D0.BA.D0.B0 (well, more like a lack of opposition, but I guess it's fine for such a small community).

Patch: I37252d5d.

p.selitskas wrote:

Kernel panic! Getting an exception while browsing a category (seems like exception is thrown at every category:

URL: https://be-x-old.wikipedia.org/wiki/%D0%9A%D0%B0%D1%82%D1%8D%D0%B3%D0%BE%D1%80%D1%8B%D1%8F:%D0%A4%D1%80%D0%B0%D0%B7%D1%8D%D0%B0%D0%BB%D1%91%D0%B3%D1%96%D1%8F
Message: [c53788b5] 2013-03-27 13:52:25: Fatal exception of type MWException

Reedy added a comment.Mar 27 2013, 3:00 PM

2013-03-27 14:58:13 mw1181 be_x_oldwiki: [613ca1ee] /wiki/%D0%9A%D0%B0%D1%82%D1%8D%D0%B3%D0%BE%D1%80%D1%8B%D1%8F:%D0%A4%D1%80%D0%B0%D0%B7%D1%8D%D0%B0%D0%BB%D1%91%D0%B3%D1%96%D1%8F Exception from line 366 of /usr/local/apache/common-local/php-1.21wmf11/includes/Collation.php: MediaWiki does not support ICU locale "be-tarask"
#0 /usr/local/apache/common-local/php-1.21wmf11/includes/Collation.php(424): IcuCollation->getFirstLetterData()
#1 /usr/local/apache/common-local/php-1.21wmf11/includes/Collation.php(326): IcuCollation->getFirstLetterCount()
#2 /usr/local/apache/common-local/php-1.21wmf11/includes/CategoryViewer.php(258): IcuCollation->getFirstLetter(' ??????????????...')
#3 /usr/local/apache/common-local/php-1.21wmf11/includes/CategoryViewer.php(347): CategoryViewer->addPage(Object(Title), ' ??????????????...', '1157', '0')
#4 /usr/local/apache/common-local/php-1.21wmf11/includes/CategoryViewer.php(104): CategoryViewer->doCategoryQuery()
#5 /usr/local/apache/common-local/php-1.21wmf11/includes/CategoryPage.php(110): CategoryViewer->getHTML()
#6 /usr/local/apache/common-local/php-1.21wmf11/includes/CategoryPage.php(76): CategoryPage->closeShowCategory()
#7 /usr/local/apache/common-local/php-1.21wmf11/includes/actions/ViewAction.php(37): CategoryPage->view()
#8 /usr/local/apache/common-local/php-1.21wmf11/includes/Wiki.php(439): ViewAction->show()
#9 /usr/local/apache/common-local/php-1.21wmf11/includes/Wiki.php(305): MediaWiki->performAction(Object(CategoryTreeCategoryPage), Object(Title))
#10 /usr/local/apache/common-local/php-1.21wmf11/includes/Wiki.php(565): MediaWiki->performRequest()
#11 /usr/local/apache/common-local/php-1.21wmf11/includes/Wiki.php(458): MediaWiki->main()
#12 /usr/local/apache/common-local/php-1.21wmf11/index.php(59): MediaWiki->run()
#13 /usr/local/apache/common-local/w/index.php(3): require('/usr/local/apac...')
#14 {main}

p.selitskas wrote:

Bartosz, what is $wgCategoryCollation set to in the test wiki? Is it "uca-be-tarask"? I suspect it's set to "uca-be" (what this request should actually have set).

Reedy, what did you perform next? A revert? Categories work now, and they are sorted as if the change was applied (correct sorting).

Reedy added a comment.Mar 27 2013, 3:16 PM

be_x_oldwiki pushed to 1.21wmf12. Running a forced update of the collations (might be overkill, but won't take long to run)

Reedy added a comment.Mar 27 2013, 3:17 PM

(In reply to comment #6)

Bartosz, what is $wgCategoryCollation set to in the test wiki? Is it
"uca-be-tarask"? I suspect it's set to "uca-be" (what this request should
actually have set).
Reedy, what did you perform next? A revert? Categories work now, and they are
sorted as if the change was applied (correct sorting).

Code:

		'be-tarask' => array( "Ё" ),

Change: I37252d5d

10302 +» 'be_x_oldwiki' => 'uca-be-tarask', // bug 46005

Reedy added a comment.Mar 27 2013, 3:18 PM

Though, either would work:

		'be' => array( "Ё" ),
		'be-tarask' => array( "Ё" ),
Reedy added a comment.Mar 27 2013, 5:40 PM

Script re-ran with --force

Bug 46615 is about making this not happen again ;)